package org.activemq.ws.notification.impl;

import org.activemq.message.ActiveMQTopic;
import org.activemq.ws.xmlbeans.notification.base.TopicExpressionType;

import junit.framework.TestCase;

public class TopicExpressionConverterTest extends TestCase {
    
    public void testConvert() {
        ActiveMQTopic topic1 = new ActiveMQTopic("Hello");
        TopicExpressionType type = TopicExpressionConverter.toTopicExpression(topic1);
        ActiveMQTopic topic2 = TopicExpressionConverter.toActiveMQTopic(type);
        assertEquals(topic1, topic2);        
    }

    public static void main(String[] args) {
        junit.textui.TestRunner.run(TopicExpressionConverterTest.class);
    }

}
